/* TemperatureCellArray is a very simple wrapper around a double[][] array
 * This will be used by the MATLAB Builder JA component to create an MWCellArray
 * Copyright 2006, The MathWorks, Inc.
*/
 
package com.mathworks.toolbox.javabuilder.examples;

public class TemperatureCellArray
{
	private double[][] temperatures = null;
	
	public TemperatureCellArray()
	{
		
	}
	
	public TemperatureCellArray(double[][] temps)
	{
		temperatures = temps;
		
	}
	
	public TemperatureCellArray(int dim1, int[] dims2)
	{
		temperatures = new double[dim1][];
		for(int i=0; i<dims2.length; i++)
		{
			temperatures[i] = new double[dims2[i]];
		}
	}
	
	public double[][] getTemperatures()
	{
		return temperatures;
	}
	
	public void setTemperatures(double[][] temps)
	{
		temperatures = temps;		
	}
	
	public void setIndex(int index, double[] temps)
	{
		temperatures[index] = temps;
	}
	
	public double[] getIndex(int index)
	{
		return temperatures[index];
	}	
}
